## pplpy 0.8.4

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
#SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pplpy
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pplpy (0.8.4-2) unstable; urgency=medium

  * Add upstream patch to fix doctests on 32 bit architectures.

 -- Tobias Hansen <thansen@debian.org>  Tue, 03 Sep 2019 13:54:50 +0200

pplpy (0.8.4-1) unstable; urgency=medium

  [ Tobias Hansen ]
  * Initial release. (Closes: #929848)

  [ Julien Puydt ]
  * Add autopkgtest running upstream tests.
  * Point d/watch to upstream.
  * Bump std-vers to 4.4.0.
  * Bump X-Python3-Version to 3.7.
  * Add patch to fix typos.
  * Write longer descriptions.
  * Add libpari-dev to b-depends.
  * Add myself to uploaders.
  * Make running tests optional using nocheck.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 19 Jul 2019 16:27:14 +0200

=== debian/control ===
Source: pplpy
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python (>= 3.20180313),
 cython (>= 0.26),
 cython3 (>= 0.26),
 libgmp-dev,
 libmpfr-dev,
 libmpc-dev,
 libppl-dev,
 libpari-dev,
 libjs-mathjax,
 python-all-dev,
 python3-all-dev,
 python-cysignals-pari (>= 1.8.1),
 python3-cysignals-pari (>= 1.8.1),
 python-gmpy2,
 python3-gmpy2,
 python-setuptools,
 python3-setuptools,
 python-sphinx,
 python3-sphinx,
Standards-Version: 4.4.0
X-Python3-Version: >= 3.7
Homepage: https://gitlab.com/videlec/pplpy
Vcs-Git: https://salsa.debian.org/science-team/pplpy.git
Vcs-Browser: https://salsa.debian.org/science-team/pplpy

Package: python-ppl
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-cysignals-pari
Description: Python interface to PPL -- Python 2
 A Python interface to the C++ Parma Polyhedra Library (PPL),
 which allows computations with polyhedra and grids, like mixed
 integer linear programming.
 .
 This package installs the library for Python 2.

Package: python3-ppl
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-cysignals-pari
Description: Python interface to PPL -- Python 3
 A Python interface to the C++ Parma Polyhedra Library (PPL),
 which allows computations with polyhedra and grids, like mixed
 integer linear programming.
 .
 This package installs the library for Python 3.

Package: python-ppl-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-mathjax
Description: Python interface to PPL -- documentation
 A Python interface to the C++ Parma Polyhedra Library (PPL),
 which allows computations with polyhedra and grids, like mixed
 integer linear programming.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export PYBUILD_NAME = ppl

%:
	dh $@ --with autoreconf --with python2,python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	cd docs && export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_3.7_ppl/build && $(MAKE) html

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test:
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython2_2.7_ppl/build && python2 tests/runtests.py
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython2_2.7_ppl/build && cd tests && python2 setup.py build_ext --inplace
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython2_2.7_ppl/build && cd tests && python2 setup2.py build_ext --inplace
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython2_2.7_ppl/build && cd tests && python2 -c "import testpplpy; testpplpy.test(); testpplpy.example(); import testpplpy2; testpplpy2.test(); testpplpy2.example()"
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_3.7_ppl/build && python3 tests/runtests.py
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_3.7_ppl/build && cd tests && python3 setup.py build_ext --inplace
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_3.7_ppl/build && cd tests && python3 setup2.py build_ext --inplace
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_3.7_ppl/build && cd tests && python3 -c "import testpplpy; testpplpy.test(); testpplpy.example(); import testpplpy2; testpplpy2.test(); testpplpy2.example()"
else
override_dh_auto_test:
	@echo '*********************************************************'
	@echo '               Skip test suite                           '
	@echo '*********************************************************'
endif

override_dh_auto_clean:
	rm -f ppl/*.cpp ppl/*.so
	rm -rf docs/build
	rm -f tests/*.cpp tests/*.so
	rm -rf tests/build
	dh_auto_clean

=== debian/tests/control ===
Tests: upstreamtestsuite2
Depends: python-ppl
Restrictions: allow-stderr

Tests: upstreamtestsuite3
Depends: python3-ppl
Restrictions: allow-stderr

## pplpy 0.8.7

=== debian/changelog ===
pplpy (0.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat level to 13.
  * Bump standards-version to 4.5.1.
  * Declare d/rules doesn't require root.
  * Drop upstreamed patches and update remaining one.
  * Add an upstream metadata file.
  * Add missing depends on gmpy2.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 29 Jan 2021 09:14:39 +0100

pplpy (0.8.4-4) unstable; urgency=medium

  * Mark the -doc package as Multi-Arch: foreign following hinter.
  * Swith from d/compat to depending on debhelper-compat, and version 12.
  * Don't specify a minimum Python 3 version, if it's too low.
  * Make sure docs get installed correctly.
  * Bump std-vers to 4.5.0.
  * Make the build independent of which Python 3 is used (Closes: #951712).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 24 Feb 2020 21:30:27 +0100

pplpy (0.8.4-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #943217

 -- Sandro Tosi <morph@debian.org>  Sat, 26 Oct 2019 16:39:43 -0400

=== debian/control ===
Source: pplpy
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 3.20180313),
 cython3 (>= 0.26),
 libgmp-dev,
 libmpfr-dev,
 libmpc-dev,
 libppl-dev,
 libpari-dev,
 libjs-mathjax,
 python3-all-dev,
 python3-cysignals-pari (>= 1.8.1),
 python3-gmpy2,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.5.1
Homepage: https://gitlab.com/videlec/pplpy
Vcs-Git: https://salsa.debian.org/science-team/pplpy.git
Vcs-Browser: https://salsa.debian.org/science-team/pplpy
Rules-Requires-Root: no

Package: python3-ppl
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-cysignals-pari, python3-gmpy2
Description: Python interface to PPL -- Python 3
 A Python interface to the C++ Parma Polyhedra Library (PPL),
 which allows computations with polyhedra and grids, like mixed
 integer linear programming.
 .
 This package installs the library for Python 3.

Package: python-ppl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-mathjax
Description: Python interface to PPL -- documentation
 A Python interface to the C++ Parma Polyhedra Library (PPL),
 which allows computations with polyhedra and grids, like mixed
 integer linear programming.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export PYBUILD_NAME = ppl

%:
	dh $@ --with autoreconf --with python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	cd docs && export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -dv)_ppl/build && $(MAKE) html

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test:
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -dv)_ppl/build && python3 tests/runtests.py
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -dv)_ppl/build && cd tests && python3 setup.py build_ext --inplace
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -dv)_ppl/build && cd tests && python3 setup2.py build_ext --inplace
	export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(shell py3versions -dv)_ppl/build && cd tests && python3 -c "import testpplpy; testpplpy.test(); testpplpy.example(); import testpplpy2; testpplpy2.test(); testpplpy2.example()"
else
override_dh_auto_test:
	@echo '*********************************************************'
	@echo '               Skip test suite                           '
	@echo '*********************************************************'
endif

override_dh_auto_clean:
	rm -f ppl/*.cpp ppl/*.so
	rm -rf docs/build
	rm -f tests/*.cpp tests/*.so
	rm -rf tests/build
	dh_auto_clean

override_dh_installdocs:
	dh_installdocs --doc-main-package python3-ppl -ppython-ppl-doc
	dh_installdocs -ppython3-ppl debian/copyright

=== debian/watch ===
version=4
https://gitlab.com/videlec/pplpy/-/tags?sort=updated_desc .*/pplpy-@ANY_VERSION@.tar.bz2

## pplpy 0.8.9

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
# NOTE: we removed the shortcut $(O) for passing options to
# sphinx-build as this is undocummented and sometimes
# confusing.

# You can set these variables from the command line.
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pplpy
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

=== debian/changelog ===
pplpy (0.8.9-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:21:40 +0000

pplpy (0.8.9-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:55:28 +0000

pplpy (0.8.9-1build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:05 +0100

pplpy (0.8.9-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:37:54 +0000

pplpy (0.8.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cython3, dh-python and
      python3-cysignals-pari.

  [ Julien Puydt ]
  * Point d/watch to new upstream.
  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 27 Nov 2023 14:39:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Tobias Hansen <thansen@debian.org>, Julien Puydt <jpuydt@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python (>= 3.20180313),
- cython3 (>= 0.26),
+ dh-python,
+ cython3,
  libgmp-dev,
  libmpfr-dev,
  libmpc-dev,
@@ -14,11 +14,11 @@
  libpari-dev,
  libjs-mathjax,
  python3-all-dev,
- python3-cysignals-pari (>= 1.8.1),
+ python3-cysignals-pari,
  python3-gmpy2,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/videlec/pplpy
 Vcs-Git: https://salsa.debian.org/science-team/pplpy.git
 Vcs-Browser: https://salsa.debian.org/science-team/pplpy

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME = ppl
 
 %:
-	dh $@ --with autoreconf --with python3,sphinxdoc  --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/tests/control ===
Tests: upstreamtestsuite3
Depends: python3-ppl
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/sagemath/pplpy/tags?sort=updated_desc .*/@ANY_VERSION@.tar.gz
